--- ReadPassword.pm	2005-10-25 20:56:02.000000000 +0200
+++ ../ReadPassword.pm	2007-08-07 14:51:28.000000000 +0200
@@ -3,16 +3,17 @@
 use strict;
 use Term::ReadLine;
 use POSIX qw(:termios_h);
-    use constant CC_FIELDS =>
-	(VEOF VEOL VERASE VINTR VKILL VQUIT
-	VSUSP VSTART VSTOP VMIN VTIME NCCS);
 
 use vars qw(
-    $VERSION @ISA @EXPORT @EXPORT_OK
+    $VERSION @ISA @EXPORT @EXPORT_OK @CC_FIELDS
     $ALLOW_STDIN %SPECIAL $SUPPRESS_NEWLINE $INPUT_LIMIT
     $USE_STARS $STAR_STRING $UNSTAR_STRING
 );
 
+@CC_FIELDS =
+        (VEOF, VEOL, VERASE, VINTR, VKILL, VQUIT,
+        VSUSP, VSTART, VSTOP, VMIN, VTIME);
+
 require Exporter;
 
 @ISA = qw(Exporter);
@@ -74,7 +75,7 @@
     my $term = POSIX::Termios->new();
     $term->getattr($fd_tty);
     my $original_flags = $term->getlflag();
-    my %original_cc = map +($_, $term->getcc($_)), CC_FIELDS;
+    my %original_cc = map +($_, $term->getcc($_)), @CC_FIELDS;
 
     # What makes this setup different from the ordinary?
     # No keyboard-generated signals, no echoing, no canonical input
